Invite users to an organization by email
curl --request POST \
--url https://cloud-api.near.ai/v1/organizations/{org_id}/members/invite-by-email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invitations": [
{
"email": "<string>"
}
]
}
'import requests
url = "https://cloud-api.near.ai/v1/organizations/{org_id}/members/invite-by-email"
payload = { "invitations": [{ "email": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({invitations: [{email: '<string>'}]})
};
fetch('https://cloud-api.near.ai/v1/organizations/{org_id}/members/invite-by-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud-api.near.ai/v1/organizations/{org_id}/members/invite-by-email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'invitations' => [
[
'email' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud-api.near.ai/v1/organizations/{org_id}/members/invite-by-email"
payload := strings.NewReader("{\n \"invitations\": [\n {\n \"email\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cloud-api.near.ai/v1/organizations/{org_id}/members/invite-by-email")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"invitations\": [\n {\n \"email\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud-api.near.ai/v1/organizations/{org_id}/members/invite-by-email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"invitations\": [\n {\n \"email\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"failed": 1,
"results": [
{
"email": "<string>",
"email_sent": true,
"success": true,
"email_error": "<string>",
"error": "<string>",
"member": {
"id": "<string>",
"joined_at": "2023-11-07T05:31:56Z",
"organization_id": "<string>",
"role": "owner",
"user_id": "<string>",
"invited_by": "<string>"
}
}
],
"successful": 1,
"total": 1
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}Organization Members
Invite users to an organization by email
deprecated
Deprecated: this endpoint is moving to cloud-platform at the same path; the cloud-platform base URL will be announced. Behaviour may differ in edge cases.
Invites multiple users to the organization by their email addresses. The authenticated user must be an owner or admin. Returns results for each invitation attempt, including successes and failures.
POST
/
v1
/
organizations
/
{org_id}
/
members
/
invite-by-email
Invite users to an organization by email
curl --request POST \
--url https://cloud-api.near.ai/v1/organizations/{org_id}/members/invite-by-email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invitations": [
{
"email": "<string>"
}
]
}
'import requests
url = "https://cloud-api.near.ai/v1/organizations/{org_id}/members/invite-by-email"
payload = { "invitations": [{ "email": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({invitations: [{email: '<string>'}]})
};
fetch('https://cloud-api.near.ai/v1/organizations/{org_id}/members/invite-by-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud-api.near.ai/v1/organizations/{org_id}/members/invite-by-email",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'invitations' => [
[
'email' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud-api.near.ai/v1/organizations/{org_id}/members/invite-by-email"
payload := strings.NewReader("{\n \"invitations\": [\n {\n \"email\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cloud-api.near.ai/v1/organizations/{org_id}/members/invite-by-email")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"invitations\": [\n {\n \"email\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud-api.near.ai/v1/organizations/{org_id}/members/invite-by-email")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"invitations\": [\n {\n \"email\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"failed": 1,
"results": [
{
"email": "<string>",
"email_sent": true,
"success": true,
"email_error": "<string>",
"error": "<string>",
"member": {
"id": "<string>",
"joined_at": "2023-11-07T05:31:56Z",
"organization_id": "<string>",
"role": "owner",
"user_id": "<string>",
"invited_by": "<string>"
}
}
],
"successful": 1,
"total": 1
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}Authorizations
Body
application/json